
{ config, pkgs, ... }:
let
  ollamahostname = "llm.kabtop.de";
in
{
    services.ollama = {
        enable = true;
        listenAddress = "127.0.0.1:11434";
    };

    services.nginx = {
        virtualHosts = {
            ollamahostname = {
                enableACME = true;
                forceSSL = true;
                listen = [ {
                    addr = "127.0.0.1"; port = 11434;
                } ];
            };
        };
    };
}
